package ac.simons;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;
import org.testcontainers.containers.GenericContainer;
import org.testcontainers.junit.jupiter.Container;
import org.testcontainers.junit.jupiter.Testcontainers;

@Testcontainers
public class SomeTest {

	@Container
	private static final GenericContainer GENERIC_CONTAINER = new GenericContainer("httpd:2.4-alpine")
		.withExposedPorts(80);

	private static String lastContainerId;

	@BeforeAll
	static void doSomethingWithAContainer() {
		System.out.println("Peng");
		assertTrue(GENERIC_CONTAINER.isRunning());
	}

	@Test
	void first_test() {
		if (lastContainerId == null) {
			lastContainerId = GENERIC_CONTAINER.getContainerId();
		} else {
			assertEquals(lastContainerId, GENERIC_CONTAINER.getContainerId());
		}
	}

	@Test
	void second_test() {
		if (lastContainerId == null) {
			lastContainerId = GENERIC_CONTAINER.getContainerId();
		} else {
			assertEquals(lastContainerId, GENERIC_CONTAINER.getContainerId());
		}
	}

}
